--- gdk-pixbuf/gdk-pixbuf-enum-types.h.oooooo	2009-01-06 14:15:31.000000000 +0900
+++ gdk-pixbuf/gdk-pixbuf-enum-types.h	2009-01-06 14:52:33.000000000 +0900
@@ -16,22 +16,22 @@
 /* enumerations from "gdk-pixbuf-core.h" */
 
 GType gdk_pixbuf_alpha_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PIXBUF_ALPHA_MODE (gdk_pixbuf_alpha_mode_get_type ())
+#define GDK_TYPE_PIXBUF_ALPHA_MODE (gdk_pixbuf_alpha_mode_get_type ())
 
 GType gdk_colorspace_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_COLORSPACE (gdk_colorspace_get_type ())
+#define GDK_TYPE_COLORSPACE (gdk_colorspace_get_type ())
 
 GType gdk_pixbuf_error_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PIXBUF_ERROR (gdk_pixbuf_error_get_type ())
+#define GDK_TYPE_PIXBUF_ERROR (gdk_pixbuf_error_get_type ())
 
 
 /* enumerations from "gdk-pixbuf-transform.h" */
 
 GType gdk_interp_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_INTERP_TYPE (gdk_interp_type_get_type ())
+#define GDK_TYPE_INTERP_TYPE (gdk_interp_type_get_type ())
 
 GType gdk_pixbuf_rotation_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PIXBUF_ROTATION (gdk_pixbuf_rotation_get_type ())
+#define GDK_TYPE_PIXBUF_ROTATION (gdk_pixbuf_rotation_get_type ())
 
 G_END_DECLS
 
--- gdk/gdkenumtypes.h.ooooo	2009-01-06 14:52:58.000000000 +0900
+++ gdk/gdkenumtypes.h	2009-01-06 16:47:25.000000000 +0900
@@ -16,178 +16,178 @@
 /* enumerations from "gdkcursor.h" */
 
 GType gdk_cursor_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CURSOR_TYPE (gdk_cursor_type_get_type ())
+#define GDK_TYPE_CURSOR_TYPE (gdk_cursor_type_get_type ())
 
 
 /* enumerations from "gdkdnd.h" */
 
 GType gdk_drag_action_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DRAG_ACTION (gdk_drag_action_get_type ())
+#define GDK_TYPE_DRAG_ACTION (gdk_drag_action_get_type ())
 
 GType gdk_drag_protocol_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DRAG_PROTOCOL (gdk_drag_protocol_get_type ())
+#define GDK_TYPE_DRAG_PROTOCOL (gdk_drag_protocol_get_type ())
 
 
 /* enumerations from "gdkevents.h" */
 
 GType gdk_filter_return_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FILTER_RETURN (gdk_filter_return_get_type ())
+#define GDK_TYPE_FILTER_RETURN (gdk_filter_return_get_type ())
 
 GType gdk_event_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_EVENT_TYPE (gdk_event_type_get_type ())
+#define GDK_TYPE_EVENT_TYPE (gdk_event_type_get_type ())
 
 GType gdk_event_mask_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_EVENT_MASK (gdk_event_mask_get_type ())
+#define GDK_TYPE_EVENT_MASK (gdk_event_mask_get_type ())
 
 GType gdk_visibility_state_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_VISIBILITY_STATE (gdk_visibility_state_get_type ())
+#define GDK_TYPE_VISIBILITY_STATE (gdk_visibility_state_get_type ())
 
 GType gdk_scroll_direction_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SCROLL_DIRECTION (gdk_scroll_direction_get_type ())
+#define GDK_TYPE_SCROLL_DIRECTION (gdk_scroll_direction_get_type ())
 
 GType gdk_notify_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_NOTIFY_TYPE (gdk_notify_type_get_type ())
+#define GDK_TYPE_NOTIFY_TYPE (gdk_notify_type_get_type ())
 
 GType gdk_crossing_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CROSSING_MODE (gdk_crossing_mode_get_type ())
+#define GDK_TYPE_CROSSING_MODE (gdk_crossing_mode_get_type ())
 
 GType gdk_property_state_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PROPERTY_STATE (gdk_property_state_get_type ())
+#define GDK_TYPE_PROPERTY_STATE (gdk_property_state_get_type ())
 
 GType gdk_window_state_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_STATE (gdk_window_state_get_type ())
+#define GDK_TYPE_WINDOW_STATE (gdk_window_state_get_type ())
 
 GType gdk_setting_action_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SETTING_ACTION (gdk_setting_action_get_type ())
+#define GDK_TYPE_SETTING_ACTION (gdk_setting_action_get_type ())
 
 GType gdk_owner_change_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_OWNER_CHANGE (gdk_owner_change_get_type ())
+#define GDK_TYPE_OWNER_CHANGE (gdk_owner_change_get_type ())
 
 
 /* enumerations from "gdkfont.h" */
 
 GType gdk_font_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FONT_TYPE (gdk_font_type_get_type ())
+#define GDK_TYPE_FONT_TYPE (gdk_font_type_get_type ())
 
 
 /* enumerations from "gdkgc.h" */
 
 GType gdk_cap_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CAP_STYLE (gdk_cap_style_get_type ())
+#define GDK_TYPE_CAP_STYLE (gdk_cap_style_get_type ())
 
 GType gdk_fill_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FILL (gdk_fill_get_type ())
+#define GDK_TYPE_FILL (gdk_fill_get_type ())
 
 GType gdk_function_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FUNCTION (gdk_function_get_type ())
+#define GDK_TYPE_FUNCTION (gdk_function_get_type ())
 
 GType gdk_join_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_JOIN_STYLE (gdk_join_style_get_type ())
+#define GDK_TYPE_JOIN_STYLE (gdk_join_style_get_type ())
 
 GType gdk_line_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_LINE_STYLE (gdk_line_style_get_type ())
+#define GDK_TYPE_LINE_STYLE (gdk_line_style_get_type ())
 
 GType gdk_subwindow_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SUBWINDOW_MODE (gdk_subwindow_mode_get_type ())
+#define GDK_TYPE_SUBWINDOW_MODE (gdk_subwindow_mode_get_type ())
 
 GType gdk_gc_values_mask_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_GC_VALUES_MASK (gdk_gc_values_mask_get_type ())
+#define GDK_TYPE_GC_VALUES_MASK (gdk_gc_values_mask_get_type ())
 
 
 /* enumerations from "gdkimage.h" */
 
 GType gdk_image_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_IMAGE_TYPE (gdk_image_type_get_type ())
+//#define GDK_TYPE_IMAGE_TYPE (gdk_image_type_get_type ())
 
 
 /* enumerations from "gdkinput.h" */
 
 GType gdk_extension_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_EXTENSION_MODE (gdk_extension_mode_get_type ())
+#define GDK_TYPE_EXTENSION_MODE (gdk_extension_mode_get_type ())
 
 GType gdk_input_source_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_INPUT_SOURCE (gdk_input_source_get_type ())
+#define GDK_TYPE_INPUT_SOURCE (gdk_input_source_get_type ())
 
 GType gdk_input_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_INPUT_MODE (gdk_input_mode_get_type ())
+#define GDK_TYPE_INPUT_MODE (gdk_input_mode_get_type ())
 
 GType gdk_axis_use_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_AXIS_USE (gdk_axis_use_get_type ())
+#define GDK_TYPE_AXIS_USE (gdk_axis_use_get_type ())
 
 
 /* enumerations from "gdkproperty.h" */
 
 GType gdk_prop_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PROP_MODE (gdk_prop_mode_get_type ())
+#define GDK_TYPE_PROP_MODE (gdk_prop_mode_get_type ())
 
 
 /* enumerations from "gdkregion.h" */
 
 GType gdk_fill_rule_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FILL_RULE (gdk_fill_rule_get_type ())
+#define GDK_TYPE_FILL_RULE (gdk_fill_rule_get_type ())
 
 GType gdk_overlap_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_OVERLAP_TYPE (gdk_overlap_type_get_type ())
+#define GDK_TYPE_OVERLAP_TYPE (gdk_overlap_type_get_type ())
 
 
 /* enumerations from "gdkrgb.h" */
 
 GType gdk_rgb_dither_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RGB_DITHER (gdk_rgb_dither_get_type ())
+#define GDK_TYPE_RGB_DITHER (gdk_rgb_dither_get_type ())
 
 
 /* enumerations from "gdktypes.h" */
 
 GType gdk_byte_order_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_BYTE_ORDER (gdk_byte_order_get_type ())
+#define GDK_TYPE_BYTE_ORDER (gdk_byte_order_get_type ())
 
 GType gdk_modifier_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_MODIFIER_TYPE (gdk_modifier_type_get_type ())
+#define GDK_TYPE_MODIFIER_TYPE (gdk_modifier_type_get_type ())
 
 GType gdk_input_condition_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_INPUT_CONDITION (gdk_input_condition_get_type ())
+#define GDK_TYPE_INPUT_CONDITION (gdk_input_condition_get_type ())
 
 GType gdk_status_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_STATUS (gdk_status_get_type ())
+#define GDK_TYPE_STATUS (gdk_status_get_type ())
 
 GType gdk_grab_status_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_GRAB_STATUS (gdk_grab_status_get_type ())
+#define GDK_TYPE_GRAB_STATUS (gdk_grab_status_get_type ())
 
 
 /* enumerations from "gdkvisual.h" */
 
 GType gdk_visual_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_VISUAL_TYPE (gdk_visual_type_get_type ())
+#define GDK_TYPE_VISUAL_TYPE (gdk_visual_type_get_type ())
 
 
 /* enumerations from "gdkwindow.h" */
 
 GType gdk_window_class_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_CLASS (gdk_window_class_get_type ())
+#define GDK_TYPE_WINDOW_CLASS (gdk_window_class_get_type ())
 
 GType gdk_window_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_TYPE (gdk_window_type_get_type ())
+//#define GDK_TYPE_WINDOW_TYPE (gdk_window_type_get_type ())
 
 GType gdk_window_attributes_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_ATTRIBUTES_TYPE (gdk_window_attributes_type_get_type ())
+#define GDK_TYPE_WINDOW_ATTRIBUTES_TYPE (gdk_window_attributes_type_get_type ())
 
 GType gdk_window_hints_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_HINTS (gdk_window_hints_get_type ())
+#define GDK_TYPE_WINDOW_HINTS (gdk_window_hints_get_type ())
 
 GType gdk_window_type_hint_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_TYPE_HINT (gdk_window_type_hint_get_type ())
+#define GDK_TYPE_WINDOW_TYPE_HINT (gdk_window_type_hint_get_type ())
 
 GType gdk_wm_decoration_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WM_DECORATION (gdk_wm_decoration_get_type ())
+#define GDK_TYPE_WM_DECORATION (gdk_wm_decoration_get_type ())
 
 GType gdk_wm_function_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WM_FUNCTION (gdk_wm_function_get_type ())
+#define GDK_TYPE_WM_FUNCTION (gdk_wm_function_get_type ())
 
 GType gdk_gravity_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_GRAVITY (gdk_gravity_get_type ())
+#define GDK_TYPE_GRAVITY (gdk_gravity_get_type ())
 
 GType gdk_window_edge_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_EDGE (gdk_window_edge_get_type ())
+#define GDK_TYPE_WINDOW_EDGE (gdk_window_edge_get_type ())
 
 G_END_DECLS
 
--- gtk/gtktypebuiltins.h.oooo	2009-01-06 14:56:44.000000000 +0900
+++ gtk/gtktypebuiltins.h	2009-01-06 16:59:26.000000000 +0900
@@ -16,460 +16,460 @@
 /* enumerations from "gtkaccelgroup.h" */
 
 GType gtk_accel_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ACCEL_FLAGS (gtk_accel_flags_get_type ())
+#define GTK_TYPE_ACCEL_FLAGS (gtk_accel_flags_get_type ())
 
 
 /* enumerations from "gtkassistant.h" */
 
 GType gtk_assistant_page_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ASSISTANT_PAGE_TYPE (gtk_assistant_page_type_get_type ())
+#define GTK_TYPE_ASSISTANT_PAGE_TYPE (gtk_assistant_page_type_get_type ())
 
 
 /* enumerations from "gtkbuilder.h" */
 
 GType gtk_builder_error_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_BUILDER_ERROR (gtk_builder_error_get_type ())
+#define GTK_TYPE_BUILDER_ERROR (gtk_builder_error_get_type ())
 
 
 /* enumerations from "gtkcalendar.h" */
 
 GType gtk_calendar_display_options_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CALENDAR_DISPLAY_OPTIONS (gtk_calendar_display_options_get_type ())
+#define GTK_TYPE_CALENDAR_DISPLAY_OPTIONS (gtk_calendar_display_options_get_type ())
 
 
 /* enumerations from "gtkcellrenderer.h" */
 
 GType gtk_cell_renderer_state_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CELL_RENDERER_STATE (gtk_cell_renderer_state_get_type ())
+#define GTK_TYPE_CELL_RENDERER_STATE (gtk_cell_renderer_state_get_type ())
 
 GType gtk_cell_renderer_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CELL_RENDERER_MODE (gtk_cell_renderer_mode_get_type ())
+#define GTK_TYPE_CELL_RENDERER_MODE (gtk_cell_renderer_mode_get_type ())
 
 
 /* enumerations from "gtkcellrendereraccel.h" */
 
 GType gtk_cell_renderer_accel_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CELL_RENDERER_ACCEL_MODE (gtk_cell_renderer_accel_mode_get_type ())
+#define GTK_TYPE_CELL_RENDERER_ACCEL_MODE (gtk_cell_renderer_accel_mode_get_type ())
 
 
 /* enumerations from "gtkdebug.h" */
 
 GType gtk_debug_flag_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DEBUG_FLAG (gtk_debug_flag_get_type ())
+#define GTK_TYPE_DEBUG_FLAG (gtk_debug_flag_get_type ())
 
 
 /* enumerations from "gtkdialog.h" */
 
 GType gtk_dialog_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DIALOG_FLAGS (gtk_dialog_flags_get_type ())
+#define GTK_TYPE_DIALOG_FLAGS (gtk_dialog_flags_get_type ())
 
 GType gtk_response_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RESPONSE_TYPE (gtk_response_type_get_type ())
+#define GTK_TYPE_RESPONSE_TYPE (gtk_response_type_get_type ())
 
 
 /* enumerations from "gtkdnd.h" */
 
 GType gtk_dest_defaults_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DEST_DEFAULTS (gtk_dest_defaults_get_type ())
+#define GTK_TYPE_DEST_DEFAULTS (gtk_dest_defaults_get_type ())
 
 GType gtk_target_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TARGET_FLAGS (gtk_target_flags_get_type ())
+#define GTK_TYPE_TARGET_FLAGS (gtk_target_flags_get_type ())
 
 
 /* enumerations from "gtkenums.h" */
 
 GType gtk_anchor_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ANCHOR_TYPE (gtk_anchor_type_get_type ())
+#define GTK_TYPE_ANCHOR_TYPE (gtk_anchor_type_get_type ())
 
 GType gtk_arrow_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ARROW_TYPE (gtk_arrow_type_get_type ())
+#define GTK_TYPE_ARROW_TYPE (gtk_arrow_type_get_type ())
 
 GType gtk_attach_options_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ATTACH_OPTIONS (gtk_attach_options_get_type ())
+#define GTK_TYPE_ATTACH_OPTIONS (gtk_attach_options_get_type ())
 
 GType gtk_button_box_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_BUTTON_BOX_STYLE (gtk_button_box_style_get_type ())
+#define GTK_TYPE_BUTTON_BOX_STYLE (gtk_button_box_style_get_type ())
 
 GType gtk_curve_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CURVE_TYPE (gtk_curve_type_get_type ())
+#define GTK_TYPE_CURVE_TYPE (gtk_curve_type_get_type ())
 
 GType gtk_delete_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DELETE_TYPE (gtk_delete_type_get_type ())
+#define GTK_TYPE_DELETE_TYPE (gtk_delete_type_get_type ())
 
 GType gtk_direction_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DIRECTION_TYPE (gtk_direction_type_get_type ())
+#define GTK_TYPE_DIRECTION_TYPE (gtk_direction_type_get_type ())
 
 GType gtk_expander_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_EXPANDER_STYLE (gtk_expander_style_get_type ())
+#define GTK_TYPE_EXPANDER_STYLE (gtk_expander_style_get_type ())
 
 GType gtk_icon_size_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ICON_SIZE (gtk_icon_size_get_type ())
+#define GTK_TYPE_ICON_SIZE (gtk_icon_size_get_type ())
 
 GType gtk_sensitivity_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SENSITIVITY_TYPE (gtk_sensitivity_type_get_type ())
+#define GTK_TYPE_SENSITIVITY_TYPE (gtk_sensitivity_type_get_type ())
 
 GType gtk_side_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SIDE_TYPE (gtk_side_type_get_type ())
+#define GTK_TYPE_SIDE_TYPE (gtk_side_type_get_type ())
 
 GType gtk_text_direction_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TEXT_DIRECTION (gtk_text_direction_get_type ())
+#define GTK_TYPE_TEXT_DIRECTION (gtk_text_direction_get_type ())
 
 GType gtk_justification_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_JUSTIFICATION (gtk_justification_get_type ())
+#define GTK_TYPE_JUSTIFICATION (gtk_justification_get_type ())
 
 GType gtk_match_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_MATCH_TYPE (gtk_match_type_get_type ())
+#define GTK_TYPE_MATCH_TYPE (gtk_match_type_get_type ())
 
 GType gtk_menu_direction_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_MENU_DIRECTION_TYPE (gtk_menu_direction_type_get_type ())
+#define GTK_TYPE_MENU_DIRECTION_TYPE (gtk_menu_direction_type_get_type ())
 
 GType gtk_metric_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_METRIC_TYPE (gtk_metric_type_get_type ())
+#define GTK_TYPE_METRIC_TYPE (gtk_metric_type_get_type ())
 
 GType gtk_movement_step_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_MOVEMENT_STEP (gtk_movement_step_get_type ())
+#define GTK_TYPE_MOVEMENT_STEP (gtk_movement_step_get_type ())
 
 GType gtk_scroll_step_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SCROLL_STEP (gtk_scroll_step_get_type ())
+#define GTK_TYPE_SCROLL_STEP (gtk_scroll_step_get_type ())
 
 GType gtk_orientation_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ORIENTATION (gtk_orientation_get_type ())
+#define GTK_TYPE_ORIENTATION (gtk_orientation_get_type ())
 
 GType gtk_corner_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CORNER_TYPE (gtk_corner_type_get_type ())
+#define GTK_TYPE_CORNER_TYPE (gtk_corner_type_get_type ())
 
 GType gtk_pack_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PACK_TYPE (gtk_pack_type_get_type ())
+#define GTK_TYPE_PACK_TYPE (gtk_pack_type_get_type ())
 
 GType gtk_path_priority_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PATH_PRIORITY_TYPE (gtk_path_priority_type_get_type ())
+#define GTK_TYPE_PATH_PRIORITY_TYPE (gtk_path_priority_type_get_type ())
 
 GType gtk_path_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PATH_TYPE (gtk_path_type_get_type ())
+#define GTK_TYPE_PATH_TYPE (gtk_path_type_get_type ())
 
 GType gtk_policy_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_POLICY_TYPE (gtk_policy_type_get_type ())
+#define GTK_TYPE_POLICY_TYPE (gtk_policy_type_get_type ())
 
 GType gtk_position_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_POSITION_TYPE (gtk_position_type_get_type ())
+#define GTK_TYPE_POSITION_TYPE (gtk_position_type_get_type ())
 
 GType gtk_preview_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PREVIEW_TYPE (gtk_preview_type_get_type ())
+#define GTK_TYPE_PREVIEW_TYPE (gtk_preview_type_get_type ())
 
 GType gtk_relief_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RELIEF_STYLE (gtk_relief_style_get_type ())
+#define GTK_TYPE_RELIEF_STYLE (gtk_relief_style_get_type ())
 
 GType gtk_resize_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RESIZE_MODE (gtk_resize_mode_get_type ())
+#define GTK_TYPE_RESIZE_MODE (gtk_resize_mode_get_type ())
 
 GType gtk_signal_run_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SIGNAL_RUN_TYPE (gtk_signal_run_type_get_type ())
+#define GTK_TYPE_SIGNAL_RUN_TYPE (gtk_signal_run_type_get_type ())
 
 GType gtk_scroll_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SCROLL_TYPE (gtk_scroll_type_get_type ())
+#define GTK_TYPE_SCROLL_TYPE (gtk_scroll_type_get_type ())
 
 GType gtk_selection_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SELECTION_MODE (gtk_selection_mode_get_type ())
+#define GTK_TYPE_SELECTION_MODE (gtk_selection_mode_get_type ())
 
 GType gtk_shadow_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SHADOW_TYPE (gtk_shadow_type_get_type ())
+#define GTK_TYPE_SHADOW_TYPE (gtk_shadow_type_get_type ())
 
 GType gtk_state_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_STATE_TYPE (gtk_state_type_get_type ())
+#define GTK_TYPE_STATE_TYPE (gtk_state_type_get_type ())
 
 GType gtk_submenu_direction_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SUBMENU_DIRECTION (gtk_submenu_direction_get_type ())
+#define GTK_TYPE_SUBMENU_DIRECTION (gtk_submenu_direction_get_type ())
 
 GType gtk_submenu_placement_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SUBMENU_PLACEMENT (gtk_submenu_placement_get_type ())
+#define GTK_TYPE_SUBMENU_PLACEMENT (gtk_submenu_placement_get_type ())
 
 GType gtk_toolbar_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TOOLBAR_STYLE (gtk_toolbar_style_get_type ())
+#define GTK_TYPE_TOOLBAR_STYLE (gtk_toolbar_style_get_type ())
 
 GType gtk_update_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_UPDATE_TYPE (gtk_update_type_get_type ())
+#define GTK_TYPE_UPDATE_TYPE (gtk_update_type_get_type ())
 
 GType gtk_visibility_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_VISIBILITY (gtk_visibility_get_type ())
+#define GTK_TYPE_VISIBILITY (gtk_visibility_get_type ())
 
 GType gtk_window_position_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_POSITION (gtk_window_position_get_type ())
+#define GTK_TYPE_WINDOW_POSITION (gtk_window_position_get_type ())
 
 GType gtk_window_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WINDOW_TYPE (gtk_window_type_get_type ())
+#define GTK_TYPE_WINDOW_TYPE (gtk_window_type_get_type ())
 
 GType gtk_wrap_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WRAP_MODE (gtk_wrap_mode_get_type ())
+#define GTK_TYPE_WRAP_MODE (gtk_wrap_mode_get_type ())
 
 GType gtk_sort_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SORT_TYPE (gtk_sort_type_get_type ())
+#define GTK_TYPE_SORT_TYPE (gtk_sort_type_get_type ())
 
 GType gtk_im_preedit_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_IM_PREEDIT_STYLE (gtk_im_preedit_style_get_type ())
+#define GTK_TYPE_IM_PREEDIT_STYLE (gtk_im_preedit_style_get_type ())
 
 GType gtk_im_status_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_IM_STATUS_STYLE (gtk_im_status_style_get_type ())
+#define GTK_TYPE_IM_STATUS_STYLE (gtk_im_status_style_get_type ())
 
 GType gtk_pack_direction_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PACK_DIRECTION (gtk_pack_direction_get_type ())
+#define GTK_TYPE_PACK_DIRECTION (gtk_pack_direction_get_type ())
 
 GType gtk_print_pages_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRINT_PAGES (gtk_print_pages_get_type ())
+#define GTK_TYPE_PRINT_PAGES (gtk_print_pages_get_type ())
 
 GType gtk_page_set_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PAGE_SET (gtk_page_set_get_type ())
+#define GTK_TYPE_PAGE_SET (gtk_page_set_get_type ())
 
 GType gtk_number_up_layout_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_NUMBER_UP_LAYOUT (gtk_number_up_layout_get_type ())
+#define GTK_TYPE_NUMBER_UP_LAYOUT (gtk_number_up_layout_get_type ())
 
 GType gtk_page_orientation_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PAGE_ORIENTATION (gtk_page_orientation_get_type ())
+#define GTK_TYPE_PAGE_ORIENTATION (gtk_page_orientation_get_type ())
 
 GType gtk_print_quality_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRINT_QUALITY (gtk_print_quality_get_type ())
+#define GTK_TYPE_PRINT_QUALITY (gtk_print_quality_get_type ())
 
 GType gtk_print_duplex_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRINT_DUPLEX (gtk_print_duplex_get_type ())
+#define GTK_TYPE_PRINT_DUPLEX (gtk_print_duplex_get_type ())
 
 GType gtk_unit_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_UNIT (gtk_unit_get_type ())
+#define GTK_TYPE_UNIT (gtk_unit_get_type ())
 
 GType gtk_tree_view_grid_lines_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TREE_VIEW_GRID_LINES (gtk_tree_view_grid_lines_get_type ())
+#define GTK_TYPE_TREE_VIEW_GRID_LINES (gtk_tree_view_grid_lines_get_type ())
 
 GType gtk_drag_result_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_DRAG_RESULT (gtk_drag_result_get_type ())
+#define GTK_TYPE_DRAG_RESULT (gtk_drag_result_get_type ())
 
 
 /* enumerations from "gtkfilechooser.h" */
 
 GType gtk_file_chooser_action_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FILE_CHOOSER_ACTION (gtk_file_chooser_action_get_type ())
+#define GTK_TYPE_FILE_CHOOSER_ACTION (gtk_file_chooser_action_get_type ())
 
 GType gtk_file_chooser_confirmation_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FILE_CHOOSER_CONFIRMATION (gtk_file_chooser_confirmation_get_type ())
+#define GTK_TYPE_FILE_CHOOSER_CONFIRMATION (gtk_file_chooser_confirmation_get_type ())
 
 GType gtk_file_chooser_error_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FILE_CHOOSER_ERROR (gtk_file_chooser_error_get_type ())
+#define GTK_TYPE_FILE_CHOOSER_ERROR (gtk_file_chooser_error_get_type ())
 
 
 /* enumerations from "gtkfilefilter.h" */
 
 GType gtk_file_filter_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_FILE_FILTER_FLAGS (gtk_file_filter_flags_get_type ())
+#define GTK_TYPE_FILE_FILTER_FLAGS (gtk_file_filter_flags_get_type ())
 
 
 /* enumerations from "gtkicontheme.h" */
 
 GType gtk_icon_lookup_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ICON_LOOKUP_FLAGS (gtk_icon_lookup_flags_get_type ())
+#define GTK_TYPE_ICON_LOOKUP_FLAGS (gtk_icon_lookup_flags_get_type ())
 
 GType gtk_icon_theme_error_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ICON_THEME_ERROR (gtk_icon_theme_error_get_type ())
+#define GTK_TYPE_ICON_THEME_ERROR (gtk_icon_theme_error_get_type ())
 
 
 /* enumerations from "gtkiconview.h" */
 
 GType gtk_icon_view_drop_position_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ICON_VIEW_DROP_POSITION (gtk_icon_view_drop_position_get_type ())
+#define GTK_TYPE_ICON_VIEW_DROP_POSITION (gtk_icon_view_drop_position_get_type ())
 
 
 /* enumerations from "gtkimage.h" */
 
 GType gtk_image_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_IMAGE_TYPE (gtk_image_type_get_type ())
+#define GTK_TYPE_IMAGE_TYPE (gtk_image_type_get_type ())
 
 
 /* enumerations from "gtkmessagedialog.h" */
 
 GType gtk_message_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_MESSAGE_TYPE (gtk_message_type_get_type ())
+#define GTK_TYPE_MESSAGE_TYPE (gtk_message_type_get_type ())
 
 GType gtk_buttons_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_BUTTONS_TYPE (gtk_buttons_type_get_type ())
+#define GTK_TYPE_BUTTONS_TYPE (gtk_buttons_type_get_type ())
 
 
 /* enumerations from "gtknotebook.h" */
 
 GType gtk_notebook_tab_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_NOTEBOOK_TAB (gtk_notebook_tab_get_type ())
+#define GTK_TYPE_NOTEBOOK_TAB (gtk_notebook_tab_get_type ())
 
 
 /* enumerations from "gtkobject.h" */
 
 GType gtk_object_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_OBJECT_FLAGS (gtk_object_flags_get_type ())
+#define GTK_TYPE_OBJECT_FLAGS (gtk_object_flags_get_type ())
 
 GType gtk_arg_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_ARG_FLAGS (gtk_arg_flags_get_type ())
+#define GTK_TYPE_ARG_FLAGS (gtk_arg_flags_get_type ())
 
 
 /* enumerations from "gtkprintoperation.h" */
 
 GType gtk_print_status_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRINT_STATUS (gtk_print_status_get_type ())
+#define GTK_TYPE_PRINT_STATUS (gtk_print_status_get_type ())
 
 GType gtk_print_operation_result_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRINT_OPERATION_RESULT (gtk_print_operation_result_get_type ())
+#define GTK_TYPE_PRINT_OPERATION_RESULT (gtk_print_operation_result_get_type ())
 
 GType gtk_print_operation_action_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRINT_OPERATION_ACTION (gtk_print_operation_action_get_type ())
+#define GTK_TYPE_PRINT_OPERATION_ACTION (gtk_print_operation_action_get_type ())
 
 GType gtk_print_error_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRINT_ERROR (gtk_print_error_get_type ())
+#define GTK_TYPE_PRINT_ERROR (gtk_print_error_get_type ())
 
 
 /* enumerations from "gtkprivate.h" */
 
 GType gtk_private_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PRIVATE_FLAGS (gtk_private_flags_get_type ())
+#define GTK_TYPE_PRIVATE_FLAGS (gtk_private_flags_get_type ())
 
 
 /* enumerations from "gtkprogressbar.h" */
 
 GType gtk_progress_bar_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PROGRESS_BAR_STYLE (gtk_progress_bar_style_get_type ())
+#define GTK_TYPE_PROGRESS_BAR_STYLE (gtk_progress_bar_style_get_type ())
 
 GType gtk_progress_bar_orientation_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_PROGRESS_BAR_ORIENTATION (gtk_progress_bar_orientation_get_type ())
+#define GTK_TYPE_PROGRESS_BAR_ORIENTATION (gtk_progress_bar_orientation_get_type ())
 
 
 /* enumerations from "gtkrc.h" */
 
 GType gtk_rc_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RC_FLAGS (gtk_rc_flags_get_type ())
+#define GTK_TYPE_RC_FLAGS (gtk_rc_flags_get_type ())
 
 GType gtk_rc_token_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RC_TOKEN_TYPE (gtk_rc_token_type_get_type ())
+#define GTK_TYPE_RC_TOKEN_TYPE (gtk_rc_token_type_get_type ())
 
 
 /* enumerations from "gtkrecentchooser.h" */
 
 GType gtk_recent_sort_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RECENT_SORT_TYPE (gtk_recent_sort_type_get_type ())
+#define GTK_TYPE_RECENT_SORT_TYPE (gtk_recent_sort_type_get_type ())
 
 GType gtk_recent_chooser_error_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RECENT_CHOOSER_ERROR (gtk_recent_chooser_error_get_type ())
+#define GTK_TYPE_RECENT_CHOOSER_ERROR (gtk_recent_chooser_error_get_type ())
 
 
 /* enumerations from "gtkrecentfilter.h" */
 
 GType gtk_recent_filter_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RECENT_FILTER_FLAGS (gtk_recent_filter_flags_get_type ())
+#define GTK_TYPE_RECENT_FILTER_FLAGS (gtk_recent_filter_flags_get_type ())
 
 
 /* enumerations from "gtkrecentmanager.h" */
 
 GType gtk_recent_manager_error_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_RECENT_MANAGER_ERROR (gtk_recent_manager_error_get_type ())
+#define GTK_TYPE_RECENT_MANAGER_ERROR (gtk_recent_manager_error_get_type ())
 
 
 /* enumerations from "gtksizegroup.h" */
 
 GType gtk_size_group_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SIZE_GROUP_MODE (gtk_size_group_mode_get_type ())
+#define GTK_TYPE_SIZE_GROUP_MODE (gtk_size_group_mode_get_type ())
 
 
 /* enumerations from "gtkspinbutton.h" */
 
 GType gtk_spin_button_update_policy_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SPIN_BUTTON_UPDATE_POLICY (gtk_spin_button_update_policy_get_type ())
+#define GTK_TYPE_SPIN_BUTTON_UPDATE_POLICY (gtk_spin_button_update_policy_get_type ())
 
 GType gtk_spin_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_SPIN_TYPE (gtk_spin_type_get_type ())
+#define GTK_TYPE_SPIN_TYPE (gtk_spin_type_get_type ())
 
 
 /* enumerations from "gtktextbuffer.h" */
 
 GType gtk_text_buffer_target_info_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TEXT_BUFFER_TARGET_INFO (gtk_text_buffer_target_info_get_type ())
+#define GTK_TYPE_TEXT_BUFFER_TARGET_INFO (gtk_text_buffer_target_info_get_type ())
 
 
 /* enumerations from "gtktextiter.h" */
 
 GType gtk_text_search_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TEXT_SEARCH_FLAGS (gtk_text_search_flags_get_type ())
+#define GTK_TYPE_TEXT_SEARCH_FLAGS (gtk_text_search_flags_get_type ())
 
 
 /* enumerations from "gtktextview.h" */
 
 GType gtk_text_window_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TEXT_WINDOW_TYPE (gtk_text_window_type_get_type ())
+#define GTK_TYPE_TEXT_WINDOW_TYPE (gtk_text_window_type_get_type ())
 
 
 /* enumerations from "gtktoolbar.h" */
 
 GType gtk_toolbar_child_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TOOLBAR_CHILD_TYPE (gtk_toolbar_child_type_get_type ())
+#define GTK_TYPE_TOOLBAR_CHILD_TYPE (gtk_toolbar_child_type_get_type ())
 
 GType gtk_toolbar_space_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TOOLBAR_SPACE_STYLE (gtk_toolbar_space_style_get_type ())
+#define GTK_TYPE_TOOLBAR_SPACE_STYLE (gtk_toolbar_space_style_get_type ())
 
 
 /* enumerations from "gtktreemodel.h" */
 
 GType gtk_tree_model_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TREE_MODEL_FLAGS (gtk_tree_model_flags_get_type ())
+#define GTK_TYPE_TREE_MODEL_FLAGS (gtk_tree_model_flags_get_type ())
 
 
 /* enumerations from "gtktreeview.h" */
 
 GType gtk_tree_view_drop_position_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TREE_VIEW_DROP_POSITION (gtk_tree_view_drop_position_get_type ())
+#define GTK_TYPE_TREE_VIEW_DROP_POSITION (gtk_tree_view_drop_position_get_type ())
 
 
 /* enumerations from "gtktreeviewcolumn.h" */
 
 GType gtk_tree_view_column_sizing_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TREE_VIEW_COLUMN_SIZING (gtk_tree_view_column_sizing_get_type ())
+#define GTK_TYPE_TREE_VIEW_COLUMN_SIZING (gtk_tree_view_column_sizing_get_type ())
 
 
 /* enumerations from "gtkuimanager.h" */
 
 GType gtk_ui_manager_item_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_UI_MANAGER_ITEM_TYPE (gtk_ui_manager_item_type_get_type ())
+#define GTK_TYPE_UI_MANAGER_ITEM_TYPE (gtk_ui_manager_item_type_get_type ())
 
 
 /* enumerations from "gtkwidget.h" */
 
 GType gtk_widget_flags_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WIDGET_FLAGS (gtk_widget_flags_get_type ())
+#define GTK_TYPE_WIDGET_FLAGS (gtk_widget_flags_get_type ())
 
 GType gtk_widget_help_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WIDGET_HELP_TYPE (gtk_widget_help_type_get_type ())
+#define GTK_TYPE_WIDGET_HELP_TYPE (gtk_widget_help_type_get_type ())
 
 
 /* enumerations from "gtktree.h" */
 
 GType gtk_tree_view_mode_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_TREE_VIEW_MODE (gtk_tree_view_mode_get_type ())
+#define GTK_TYPE_TREE_VIEW_MODE (gtk_tree_view_mode_get_type ())
 
 
 /* enumerations from "gtkclist.h" */
 
 GType gtk_cell_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CELL_TYPE (gtk_cell_type_get_type ())
+#define GTK_TYPE_CELL_TYPE (gtk_cell_type_get_type ())
 
 GType gtk_clist_drag_pos_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CLIST_DRAG_POS (gtk_clist_drag_pos_get_type ())
+#define GTK_TYPE_CLIST_DRAG_POS (gtk_clist_drag_pos_get_type ())
 
 GType gtk_button_action_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_BUTTON_ACTION (gtk_button_action_get_type ())
+#define GTK_TYPE_BUTTON_ACTION (gtk_button_action_get_type ())
 
 
 /* enumerations from "gtkctree.h" */
 
 GType gtk_ctree_pos_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CTREE_POS (gtk_ctree_pos_get_type ())
+#define GTK_TYPE_CTREE_POS (gtk_ctree_pos_get_type ())
 
 GType gtk_ctree_line_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CTREE_LINE_STYLE (gtk_ctree_line_style_get_type ())
+#define GTK_TYPE_CTREE_LINE_STYLE (gtk_ctree_line_style_get_type ())
 
 GType gtk_ctree_expander_style_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CTREE_EXPANDER_STYLE (gtk_ctree_expander_style_get_type ())
+#define GTK_TYPE_CTREE_EXPANDER_STYLE (gtk_ctree_expander_style_get_type ())
 
 GType gtk_ctree_expansion_type_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_CTREE_EXPANSION_TYPE (gtk_ctree_expansion_type_get_type ())
+#define GTK_TYPE_CTREE_EXPANSION_TYPE (gtk_ctree_expansion_type_get_type ())
 
 G_END_DECLS
 
--- perf/typebuiltins.h.oooo	2009-01-06 17:10:08.000000000 +0900
+++ perf/typebuiltins.h	2009-01-06 17:14:22.000000000 +0900
@@ -12,7 +12,7 @@
 /* enumerations from "gtkwidgetprofiler.h" */
 
 GType gtk_widget_profiler_report_get_type (void) G_GNUC_CONST;
-#define @ENUMPREFIX@_TYPE_WIDGET_PROFILER_REPORT (gtk_widget_profiler_report_get_type ())
+#define GTK_TYPE_WIDGET_PROFILER_REPORT (gtk_widget_profiler_report_get_type ())
 
 G_END_DECLS
 
